{% extends template_base %}
{% load i18n %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}

{% block title %}Detalle del Pago{% endblock %}

{% block pagelevelcss %}
  <style type="text/css">
    #viewerContainer{
      top:0;
    }
    .toolbar, #sidebarContainer{
      visibility: hidden;
    }
  </style>
  
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    {%if object.customer %}
    <li class="breadcrumb-item"><a href="{{ object.customer.get_absolute_url }}billing/">Pagos Cliente</a>
      {%if service %}
			o 
			{%for i in service %}
			<a href="{{ i.get_absolute_url }}billing/">Pagos Servicio #{{i.number}} </a>
      {%endfor%}
      {%endif%}
    {%else%}
    <li class="breadcrumb-item"><a href="../../payments-no-identificados/">Pagos</a>
    {%endif%}
    <li class="breadcrumb-item active">Detalle del Pago</li>
  </ol>
  <!-- end breadcrumb -->
  
  
  <!-- begin page-header -->
  <h1 class="page-header">Pago <small>detalle</small></h1>
  <!-- end page-header -->
  
  

{%if can_show_detail %}
 <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Datos Generales</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
    <table class="table">
        <tr>
          <td><strong>ID</strong></td><td>{{ object.id }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del Pago</strong></td><td>{{ object.paid_on }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del depósito</strong></td><td>{{ object.deposited_on  }}</td>
        </tr>
        {% if object.bank_account %}
     
		<td><strong>Monto (Original)</strong></td>
		<td>  {% if object.bank_account.currency %}{{object.bank_account.currency.symbol}} 	{%else%}  $ {{ object.amount| price_tag }}	{%endif%}</td>
		</tr>
		{%else%}
		<td><strong>Monto (Original)</strong></td>
		<td>$ {{ object.amount| price_tag }}</td>
				</tr>
				<td><strong>Moneda</strong></td>
				<td>No tiene asociada</td>
				</tr>
		{%endif%}
		{% if object.tasa %}
		<td><strong>Monto convertido</strong></td>
		<td> {{ object.price| price_tag }}</td>
		</tr>
		<td><strong>Tasa conversión</strong></td>
		<td> {{ object.tasa| price_tag }}</td>
		</tr>
		{%endif%}
        <tr>
          <td><strong>Tipo</strong></td><td>{{ object.get_kind_display }} {%if object.manual%} manual {%else%} automático {%endif%} </td>
        </tr>
  {% if object.operation_number %}
        <tr>
          <td><strong>Número de operación</strong></td><td>{{object.operation_number}}</td>
        </tr>
  {%else%}
  <tr>
    <td><strong>Número de operación</strong></td><td>No tiene</td>
  </tr>
	{% endif %}
        <tr>
          <td><strong>Comentario</strong></td><td>{{ object.comment  }}</td>
        </tr>
	{% if object.proof %}
        <tr>
          <td><strong>Comprobante de pago</strong></td><td><a href="{{ object.proof.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof2 %}
        <tr>
          <td><strong>Comprobante de pago 2</strong></td><td><a href="{{ object.proof2.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof2_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof3 %}
        <tr>
          <td><strong>Comprobante de pago 3</strong></td><td><a href="{{ object.proof3.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof3_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
  {% if object.proof4 %}
        <tr>
          <td><strong>Comprobante de pago 4</strong></td><td><a target="_blank" href="{{ object.proof4.url }}" class="thumbnail">Ampliar</a>
            <embed src="{{ object.proof4.url|add:'#toolbar=0&navpanes=0&scrollbar=0' }}" type="application/pdf" height="240" width="320"></td>
        </tr>

  {% endif %}
        <tr>
          <td><strong>Cliente</strong></td>
          <td><a href="{{ object.customer.get_absolute_url }}billing/">{{ object.customer.name }} ( {{ object.customer.rut }})</a></td>
        </tr>
	{% with object.previous_customer as previous_customer %}
	{% if previous_customer %}
        <tr>
          <td><strong><span class="text-danger">Cliente anterior</span></strong></td><td><a href="{{ previous_customer.get_absolute_url }}">{{ previous_customer.name }} ( {{ previous_customer.rut }} )</a></td>
        </tr>
  {% endif %}
        <tr>
          <td><strong>Operador de pago</strong></td><td>{{ object.operator  }}</td>
        </tr>
  {% if object.bank_account %}
        <tr>
          <td><strong>Cuenta</strong></td><td>{{ object.bank_account.operator }} - {{ object.bank_account  }} - {{ object.bank_account.account_number  }}</td>
        </tr>
  {% endif %}
  {% if service %}
        <tr>
          <td><strong>Servicio</strong></td><td>{% for n in service %} {{ n }}<br> {% endfor %} </td>
        </tr>
  {% endif %}
  {% if invoice %}
        <tr>
          <td><strong>Boletas</strong></td>
          <td>{% for n in invoice %} 
              <a href="{{n.get_absolute_url}}"> {{n.comment}} - ${{n.total}} </a><br>
             {% endfor %} 
          </td>
        </tr>
  {% endif %}
  {% if object.number_document %}
        <tr>
          <td><strong>Número de Documento </strong></td><td>{{ object.number_document}} </td>
        </tr>
  {% endif %}
  {% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación"  or request.user|has_group:"Operador de finanzas"  %} 
	<tr>
	  <td><a class="btn btn-primary" href="{% url 'payment-update' object.pk %}">Editar </a></td>
  </tr>
  {%endif%}
	{% endwith %}
        
    </table>
    </div>
    <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
 <!-- begin col-6 -->
 <div class="col-xl-6 ui-sortable">
   	<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Datos del Cliente</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
        
            {%if object.customer %}
            <h4>{{ object.customer }}</h4>
  
            <p style="margin-left:4%"> <a href="{{ object.customer.get_absolute_url }}">{{ object.customer.rut }}</a></p>
          
            <h5>Números de servicio:</h5>
            <ul>
            {% for cc in object.customer.service_set.all %}
            <li><a href="{{ cc.get_absolute_url }}">{{ cc }}</a></li>
            {% endfor %}
            </ul>
            <h5>RUT pagadores</h5>
            <ul>
              {% for rut in object.customer.payorrut_set.all %}
              <li><a href="{% url 'customer-payment-methods' object.customer.pk %}">{{ rut.rut }}</a></li>
              {% endfor %}
            </ul>
            {%else%}
            <p>Este pago no esta asociado a ningún Cliente</p>
            {%endif%}
     <!-- end panel-body -->
  </div>
  <!-- end panel -->
  </div>
  <!-- end col-6 -->

    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Histórico de modificaciones</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
      <table class="table">
	<thead>
	<tr>
	  <th>Actividad</th>
	  <th>Fecha</th>
	</tr>
	<thead>
	<tbody>
	    {% for activity in object.action_log %}
	    <tr>
	      <td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este pago.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
	    </tr>
	    {% endfor %}
	</tbody>
      </table>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-12 -->
</div>
<!-- end row -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
  <h4 class="alert-heading">No encontrado</h4>
  <hr>
  <h5 class="mb-0">Cambie de operador o vuelva al listado de pagos.</h5>
</div>
{% endif %}
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

